Index: /extensions/UserAdvManager/trunk/language/el_GR/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/el_GR/help.lang.php	(revision 17577)
+++ /extensions/UserAdvManager/trunk/language/el_GR/help.lang.php	(revision 17578)
@@ -300,3 +300,21 @@
 - Το Ψευδώνυμο είναι υποχρεωτικο για σχόλια επισκεπτών<br>
 ...';
+$lang['UAM_validationlimitTitle_d'] = 'Αυτή η επιλογή επιτρέπει να περιοριστεί η ισχύς του να αποστέλλεται e-mail κλειδιού επιβεβαίωσης για νέους καταχωρίζοντες. Μετά την περίοδο αυτή ο σύνδεσμος επιβεβαίωσης θα λήξει.
+<br><br>
+Η επιλογή αυτή χρησιμοποιείται σε συνδυασμό με την &quot;Επιβεβαίωση της εγγραφής&quot;.
+<br><br>
+Εάν αυτή η επιλογή και η επιλογή &quot;Υπενθύμιση ανεπιβεβαίωτων χρηστών&quot; είναι ενεργοποιημένες, νέες επιλογές θα εμφανιστούν στο πιο κάτω τμήμα και αυτό για να καταστεί δυνατή η αυτοματοποίηση της διαχείρισης των ανεπιβεβαίωτων χρηστών.';
+$lang['UAM_usermanTitle_d'] = 'Όταν ο περιοριορισμός της προθεσμίας για εγγραφή είναι ενεργοποιημένος, θα βρείτε πιο κάτω τη λίστα με τους χρήστες των οποίων αναμένεται η επιβεβαίωση της εγγραφής, <b style=&quot;text-decoration: underline;&quot;>εάν ή όχι</b> είναι στο χρονικό διάστημα για να επιβεβαιώσουν.<br><br>
+Η ημερομηνία εγγραφής εμφανίζεται με πράσινο χρώμα όταν ο ενδιαφερόμενος χρήστης είναι κάτω από το όριο του χρόνου για να επιβεβαιώσετε την εγγραφή του. Στην περίπτωση αυτή, το κλειδί επιβεβαίωσης εξακολουθεί να ισχύει και μπορούμε να στείλουμε ένα email με ή χωρίς ένα νέο κλειδί επιβεβαίωσης.<br><br>
+Όταν η ημερομηνία εγγραφής εμφανίζεται με κόκκινο χρώμα, η περίοδος επιβεβαίωσης έχει λήξει. Σε αυτήν την περίπτωση, θα πρέπει να στείλετε ένα email με την αναγέννηση του κλειδιού επιβεβαίωσης εάν θέλετε να επιτρέψετε στο χρήστη να επιβεβαιώσει την εγγραφή του.<br><br>
+Σε όλες τις περιπτώσεις, είναι δυνατόν να επιβάλετε χειροκίνητα την επιβεβαίωση.<br><br>
+Σε αυτή την οθόνη, μπορείτε να:
+<br><br>
+- Διαγραφή των λογαριασμών χειροκίνητα<b>(εγχειρίδιο διαρροής)</b>
+<br>
+- Δημιουργία e-mail υπενθύμιση <b>χωρίς</b> να δημιουργήσετε ένα νέο κλειδί. Προειδοποίηση: Στείλτε ένα email υπενθύμισης σε στοχευμένους επισκέπτες. Αυτή η λειτουργία επαναφέρει επίσης την ημερομηνία καταχώρισης στους στοχευμένους επισκέπτες που ισοδυναμεί με την παράταση της προθεσμίας για την επιβεβαίωση.
+<br>
+- Υποβολή επιβεβαίωσης εγγραφής χειροκίνητα σε αναμονή, ακόμη και αν η ημερομηνία λήξης έχει περάσει <b>(αναγκαστική επιβεβαίωση)</b>.
+<br><br>
+<b>Λειτουργία Διαλογής Πίνακα</b>: Μπορείτε να ταξινομήσετε τα δεδομένα που εμφανίζονται κάνοντας κλικ στις επικεφαλίδες στήλης. Κρατήστε πατημένο το πλήκτρο SHIFT για να ταξινομήσετε μέχρι 4 ταυτόχρονες στήλες.';
 ?>