Index: /trunk/language/he_IL/admin.lang.php
===================================================================
--- /trunk/language/he_IL/admin.lang.php	(revision 17594)
+++ /trunk/language/he_IL/admin.lang.php	(revision 17595)
@@ -820,3 +820,61 @@
 $lang['Available versions for'] = 'גרסאות זמינות ל';
 $lang['%d physicals'] = ' %d פיזית';
+$lang['Piwigo for Android'] = 'piwigo לאנדרואיד';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'piwigo לios (איפון, איפד, איפוד ואיפוד טאצ)';
+$lang['Posted %s on %s'] = 'פורסם %s ב %s';
+$lang['Resize after upload'] = 'שנה גודל אחרי העלאה';
+$lang['Save manual order'] = 'שמור סדר ידני';
+$lang['Save visits in history for'] = 'שמור מבקרים בהיסטוריה ל';
+$lang['Select a file'] = 'בחר קובץ';
+$lang['Select a zone with your mouse to define a new center of interest.'] = 'בחר איזור עם העכבר כדי להגדיר את מרכז העניין בתמונה';
+$lang['Select groups...'] = 'בחר קבוצות...';
+$lang['Select users...'] = 'בחר משתמשים...';
+$lang['Send connection settings by email'] = 'שלח פרטי התחברות באימייל';
+$lang['Source tag'] = 'מקור תג';
+$lang['There is no group in this gallery.'] = 'אין קבוצות בגלריה הזו';
+$lang['This album contains %d photos, added between %s and %s.'] = 'האלבום הזה מכיל %s תמונות, שנוספו בין ה %s ל %s';
+$lang['This album contains %d photos, added on %s.'] = 'האלבום הזה מכיל %s תמונות, נוספו ב %s';
+$lang['This album contains no photo.'] = 'האלבום הזה לא מכיל תמונות';
+$lang['Unlock gallery'] = 'גלריה פתוחה';
+$lang['Visited %d times'] = 'בוקר %d פעמים';
+$lang['Watermark'] = 'סימן מים';
+$lang['With no album'] = 'ללא אלבום';
+$lang['middle'] = 'באמצע';
+$lang['modified'] = 'שינוי';
+$lang['registered users'] = 'משתמשים רשומים';
+$lang['top left corner'] = 'בפינה השמאלית העליונה';
+$lang['top right corner'] = 'בפינה הימנית העליונה';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = 'מבקרים צריכים להתחבר ולהיות בעלי הרשאות מסויימות כדי לראות את האלבום הזה';
+$lang['With no tag'] = 'ללא תגים';
+$lang['With no virtual album'] = 'ללא אלבום ורטואלי';
+$lang['X Position'] = 'x מיקום';
+$lang['X Repeat'] = 'x חזרות';
+$lang['Y Position'] = 'y מיקום';
+$lang['Zoom'] = 'זום';
+$lang['add a new watermark'] = 'הוסף קו מים חדש';
+$lang['administrators'] = 'מנהל ראשי';
+$lang['any visitor can see this album'] = 'כל מבקר יכול לראות את אלבום זה';
+$lang['apply automatic sort order'] = 'החל סדר אוטומטי';
+$lang['bottom left corner'] = 'בפינה השמאלית התחתונה';
+$lang['bottom right corner'] = 'בפינה הימנית התחתונה';
+$lang['cancel manual order'] = 'ביטול סדר ידני';
+$lang['create a new site'] = 'צור אתר חדש';
+$lang['custom'] = 'מותאם אישית';
+$lang['Photo name'] = 'שם התמונה';
+$lang['Move to album'] = 'העבר לאלבום';
+$lang['Multiple Size'] = 'מספר גדלים';
+$lang['Name of the duplicate'] = 'שם של שכפול';
+$lang['No group is permitted to see this private album'] = 'לאף קבוצה אין הרשאה לראות את האלבום הפרטי הזה';
+$lang['Original Size'] = 'גודל מקורי';
+$lang['Cancel'] = 'ביטול';
+$lang['Center of interest'] = 'מרכז העניין';
+$lang['Default comments order'] = 'סדר תגובות ברירת מחדל';
+$lang['Duplicate selected tags'] = 'שכפל תגים מסומנים';
+$lang['Edit photo'] = 'ערוך תמונה';
+$lang['Gallery unlocked'] = 'גלריה פתוחה';
+$lang['Groups and users'] = 'קבוצות ומשתמשים';
+$lang['Last import'] = 'יבוא אחרון';
+$lang['List'] = 'רשימה';
+$lang['%s ago'] = '%s לפני';
+$lang['%u users have automatic permission because they belong to a granted group.'] = '%u משתמשים יש הרשאות אוטומטית בגלל שהם שייכים לקבוצה מאושרת';
 ?>