Index: /extensions/lmt/lmt_aip.class.inc.php
===================================================================
--- /extensions/lmt/lmt_aip.class.inc.php	(revision 17603)
+++ /extensions/lmt/lmt_aip.class.inc.php	(revision 17604)
@@ -215,5 +215,5 @@
     foreach($filter_list_values as $key=>$val)
     {
-      $filter_list_labels[] = "[".l10n("lmt_lbl_cc_s-".strtolower($val))."] ".l10n("lmt_lbl_cc-".strtolower($val));
+      $filter_list_labels[] = "[".$this->translateCopyright("lmt_lbl_cc_s-".strtolower($val))."] ".$this->translateCopyright("lmt_lbl_cc-".strtolower($val));
       if($val==$_REQUEST['filter'])
       {
@@ -224,5 +224,5 @@
     $filter_list_values = array_merge(array(''), $filter_list_values);
     $filter_list_labels = array_merge(array(l10n('lmt_nofilter')), $filter_list_labels);
-    $default_licence = l10n("lmt_lbl_cc-".strtolower($this->config['lmt_licence_default']));
+    $default_licence = $this->translateCopyright("lmt_lbl_cc-".strtolower($this->config['lmt_licence_default']));
     $default_licence_img =LMT_PATH."img/".strtolower($this->config['lmt_licence_default'])."_80x15.png";
 
@@ -373,5 +373,5 @@
     foreach($licences_list_values as $key=>$val)
     {
-      $licences_list_labels[] = "[".l10n("lmt_lbl_cc_s-".strtolower($val))."] ".l10n("lmt_lbl_cc-".strtolower($val));
+      $licences_list_labels[] = "[".$this->translateCopyright("lmt_lbl_cc_s-".strtolower($val))."] ".$this->translateCopyright("lmt_lbl_cc-".strtolower($val));
     }
 
@@ -439,9 +439,9 @@
     foreach($lmt_licence_default_values as $key=>$val)
     {
-      $lmt_licence_default_labels[] = "[".l10n("lmt_lbl_cc_s-".strtolower($val))."] ".l10n("lmt_lbl_cc-".strtolower($val));
+      $lmt_licence_default_labels[] = "[".$this->translateCopyright("lmt_lbl_cc_s-".strtolower($val))."] ".$this->translateCopyright("lmt_lbl_cc-".strtolower($val));
 
       $tmp[]="'".str2url("ilmt_redirect_url-".strToLower($val))."'";
       $datas['lmt_redirect_urls'][str2url('lmt_redirect_url-'.strToLower($val))]=array(
-        'text' => l10n("lmt_lbl_cc_s-".strToLower($val)),
+        'text' => $this->translateCopyright("lmt_lbl_cc_s-".strToLower($val)),
         'langs' => array()
       );
@@ -660,7 +660,7 @@
       "author_list" => array(),
       "img_directory" => LMT_PATH."img/",
-      "default_licencepublished" => l10n("lmt_lbl_under-".strToLower($this->config['lmt_licence_default'])),
+      "default_licencepublished" => $this->translateCopyright("lmt_lbl_under-".strToLower($this->config['lmt_licence_default'])),
       "default_licenceL" => strToLower($this->config['lmt_licence_default']),
-      "default_licenceU" => l10n("lmt_lbl_cc_s-".strToLower($this->config['lmt_licence_default'])),
+      "default_licenceU" => $this->translateCopyright("lmt_lbl_cc_s-".strToLower($this->config['lmt_licence_default'])),
       "lmt_licence_logo" => $this->config['lmt_licence_logo'],
       "nbauthor" => 0,
@@ -770,6 +770,6 @@
     {
       $datas['shortlicencetext'][$val] = array(
-        "txt" => l10n("lmt_lbl_cc_s-".strtolower($val)),
-        "published" => l10n("lmt_lbl_under-".strtolower($val))
+        "txt" => $this->translateCopyright("lmt_lbl_cc_s-".strtolower($val)),
+        "published" => $this->translateCopyright("lmt_lbl_under-".strtolower($val))
       );
     }
Index: /extensions/lmt/lmt_pip.class.inc.php
===================================================================
--- /extensions/lmt/lmt_pip.class.inc.php	(revision 17603)
+++ /extensions/lmt/lmt_pip.class.inc.php	(revision 17604)
@@ -17,5 +17,6 @@
 //include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCPublicIntegration.class.inc.php');
 
-load_language('plugin.lang', LMT_PATH);
+global $user;
+
 
 class LMT_PIP extends LMT_root
@@ -46,4 +47,5 @@
     if($this->config['lmt_licence_activated']=='y')
     {
+      add_event_handler('user_init', array(&$this, 'loadLang'));
       add_event_handler('loc_end_picture', array(&$this, 'manageLicenceElement'));
 
@@ -61,4 +63,9 @@
   }
 
+  public function loadLang()
+  {
+    load_language('plugin.lang', LMT_PATH);
+  }
+
   /* -------------------------------------------------------------------------
     FUNCTIONS TO MANAGE LMT DISPLAY
@@ -66,5 +73,5 @@
   public function manageLicenceElement()
   {
-    global $template, $page, $user;
+    global $template, $page, $user, $lang;
 
     $licence=$this->getImageLicence($page['image_id']);
@@ -87,9 +94,9 @@
     }
 
-    $alternateText=" alt='".htmlspecialchars(l10n('lmt_lbl_cc_s-'.strtolower($licence['licence'])), ENT_QUOTES)."'
+    $alternateText=" alt='".htmlspecialchars($this->translateCopyright('lmt_lbl_cc_s-'.strToLower($licence['licence'])), ENT_QUOTES)."'
       title='".htmlspecialchars(
-        l10n('lmt_lbl_under-'.strtolower($licence['licence'])).' '.
-        l10n('lmt_lbl_cc_s-'.strtolower($licence['licence'])).' : '.
-        l10n('lmt_lbl_cc-'.strtolower($licence['licence'])),ENT_QUOTES
+        $this->translateCopyright('lmt_lbl_under-'.strtolower($licence['licence'])).' '.
+        $this->translateCopyright('lmt_lbl_cc_s-'.strtolower($licence['licence'])).' : '.
+        $this->translateCopyright('lmt_lbl_cc-'.strtolower($licence['licence'])),ENT_QUOTES
     )."' ";
 
@@ -123,9 +130,9 @@
         if($url!="")
         {
-          $text ="<br/>".l10n("lmt_lbl_under-".strToLower($licence['licence']))." <a href='".$url."'".$target.">".l10n("lmt_lbl_cc_s-".strToLower($licence['licence']))."</a> ".$licence['aut_text1']." ".$licence['aut_text2'];
+          $text ="<br/>".$this->translateCopyright("lmt_lbl_under-".strToLower($licence['licence']))." <a href='".$url."'".$target.">".$this->translateCopyright("lmt_lbl_cc_s-".strToLower($licence['licence']))."</a> ".$licence['aut_text1']." ".$licence['aut_text2'];
         }
         else
         {
-          $text ="<br/>".l10n("lmt_lbl_under-".strToLower($licence['licence']))." ".l10n("lmt_lbl_cc_s-".strToLower($licence['licence']))." ".$licence['aut_text1']." ".$licence['aut_text2'];
+          $text ="<br/>".$this->translateCopyright("lmt_lbl_under-".strToLower($licence['licence']))." ".$this->translateCopyright("lmt_lbl_cc_s-".strToLower($licence['licence']))." ".$licence['aut_text1']." ".$licence['aut_text2'];
         }
         break;
@@ -137,5 +144,5 @@
   public function manageWarningText()
   {
-    global $template, $user;
+    global $template, $user, $lang;
 
 
@@ -149,16 +156,16 @@
     }
 
-    $alternateText=" alt='".htmlspecialchars(l10n('lmt_lbl_cc_s-'.strtolower($this->config['lmt_licence_default'])), ENT_QUOTES)."'
+    $alternateText=" alt='".htmlspecialchars($this->translateCopyright('lmt_lbl_cc_s-'.strtolower($this->config['lmt_licence_default'])), ENT_QUOTES)."'
       title='".htmlspecialchars(
-        l10n('lmt_lbl_under-'.strtolower($this->config['lmt_licence_default'])).' '.
-        l10n('lmt_lbl_cc_s-'.strtolower($this->config['lmt_licence_default'])).' : '.
-        l10n('lmt_lbl_cc-'.strtolower($this->config['lmt_licence_default'])),ENT_QUOTES
+        $this->translateCopyright('lmt_lbl_under-'.strtolower($this->config['lmt_licence_default'])).' '.
+        $this->translateCopyright('lmt_lbl_cc_s-'.strtolower($this->config['lmt_licence_default'])).' : '.
+        $this->translateCopyright('lmt_lbl_cc-'.strtolower($this->config['lmt_licence_default'])),ENT_QUOTES
     )."' ";
 
     $patterns = array('/\[logo=80x15\]/i', '/\[logo=88x31\]/i', '/\[logo=text\]/i');
     $replacements = array(
-      "<img $alternateText class='logo80x15' src='". LMT_PATH."img/".strToLower($this->config['lmt_licence_default'])."_80x15.png'>",
-      "<img $alternateText class='logo88x31' src='". LMT_PATH."img/".strToLower($this->config['lmt_licence_default'])."_88x31.png'>",
-      l10n("lmt_lbl_cc_s-".strToLower($this->config['lmt_licence_default']))
+      "<img $alternateText class='logo80x15' src='". LMT_PATH."img/".strtolower($this->config['lmt_licence_default'])."_80x15.png'>",
+      "<img $alternateText class='logo88x31' src='". LMT_PATH."img/".strtolower($this->config['lmt_licence_default'])."_88x31.png'>",
+      $this->translateCopyright("lmt_lbl_cc_s-".strtolower($this->config['lmt_licence_default']))
     );
 
Index: /extensions/lmt/lmt_root.class.inc.php
===================================================================
--- /extensions/lmt/lmt_root.class.inc.php	(revision 17603)
+++ /extensions/lmt/lmt_root.class.inc.php	(revision 17604)
@@ -243,4 +243,11 @@
   }
 
+  public function translateCopyright($key)
+  {
+    global $lang;
+    if(isset($lang[$key]) and $lang[$key]=='') return('');
+    return(l10n($key));
+  }
+
 } //class
 
Index: /extensions/lmt/lmt_version.inc.php
===================================================================
--- /extensions/lmt/lmt_version.inc.php	(revision 17603)
+++ /extensions/lmt/lmt_version.inc.php	(revision 17604)
@@ -15,6 +15,6 @@
   if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-  define('LMT_VERSION',  '1.4.0');
-  define('LMT_VERSION2', '01.04.00');
+  define('LMT_VERSION',  '1.4.1');
+  define('LMT_VERSION2', '01.04.01');
   define('LMT_GPC_NEEDED', '3.5.2');
 ?>
Index: /extensions/lmt/main.inc.php
===================================================================
--- /extensions/lmt/main.inc.php	(revision 17603)
+++ /extensions/lmt/main.inc.php	(revision 17604)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: LMT
-Version: 1.4.0
+Version: 1.4.1
 Description: Appliquer une licence sur ses photos / Apply a licence on photos
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=282
@@ -73,4 +73,12 @@
 |         |            |   . compatibility with piwigo 2.4
 |         |            |
+| 1.4.1   | 2012/08/20 | * mantis bug:2726
+|         |            |   .  Copyright display is not correct
+|         |            |     => use $this->translateCopyright() insted of l10n()
+|         |            |     => load langage file when user_init() is done
+|         |            |
+|         |            |
+|         |            |
+|         |            |
 |         |            |
 