Index: /extensions/piclens/language/sk_SK/description.txt
===================================================================
--- /extensions/piclens/language/sk_SK/description.txt	(revision 17635)
+++ /extensions/piclens/language/sk_SK/description.txt	(revision 17635)
@@ -0,0 +1,1 @@
+Aktivovanie Cooliris/Piclens (+3D wall) v Piwigo galérii
Index: /extensions/piclens/language/sk_SK/index.php
===================================================================
--- /extensions/piclens/language/sk_SK/index.php	(revision 17635)
+++ /extensions/piclens/language/sk_SK/index.php	(revision 17635)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piclens/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/piclens/language/sk_SK/plugin.lang.php	(revision 17635)
+++ /extensions/piclens/language/sk_SK/plugin.lang.php	(revision 17635)
@@ -0,0 +1,82 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['piclens_label_TypeNorm'] = 'Normálne';
+$lang['piclens_label_TypeHigh'] = 'Kvalitné';
+$lang['piclens_label_Name4'] = 'Nič';
+$lang['piclens_label_Name3'] = 'Názov fotky';
+$lang['piclens_label_Name2'] = 'Názov náhľadu';
+$lang['piclens_label_Name1'] = 'Názov náhľadu: veľkosť';
+$lang['piclens_label_Desc3'] = 'Popis fotky';
+$lang['piclens_label_Desc2'] = 'Názov fotky';
+$lang['piclens_label_Desc1'] = 'Nič';
+$lang['piclens_global_legend'] = 'Globálne';
+$lang['piclens_favorites_label'] = 'Moje obľúbené';
+$lang['piclens_config_tab'] = 'Konfigurácia';
+$lang['piclens_cfg_title'] = 'Piclens: Konfigurácia';
+$lang['piclens_cfg_specials_actived'] = 'Aktivovať Piclens na "Špeciálnych" stránkach';
+$lang['piclens_cfg_root_actived'] = 'Ativovať Piclens na Galériu (v Home galérii)';
+$lang['piclens_cfg_recursiv_actived'] = 'Aktivovať rekurzívne pravidlá na sub-kategórie';
+$lang['piclens_cfg_plugins_actived'] = 'Zapnúť kompatibilitu s <b><u><i>%s</i></u></b> doplnkom';
+$lang['piclens_cfg_piclens_actived'] = 'Aktivovať doplnok Cooliris/Piclens';
+$lang['piclens_cfg_otherplugins_title'] = 'Kompatibilita s ďalšími nainštalovanými doplnkami';
+$lang['piclens_cfg_lite_actived'] = 'Aktivovať PiclensLite (Piclens bez navigačných doplnkov)';
+$lang['piclens_admin_title'] = 'Konfigurácia doplnku Cooliris/Piclens';
+$lang['piclens_admin_savefileWN'] = 'Existujúci konfiguračný súbor (%s) bol odstránený';
+$lang['piclens_cat_legend'] = 'Kategórie';
+$lang['piclens_button'] = 'Zobraziť slideshow';
+$lang['piclens_bestrated_label'] = 'Najlepšie hodnotené';
+$lang['piclens_admin_submit'] = 'Uložiť';
+$lang['piclens_admin_savefileOK'] = 'Parametre uložené do konfiguračného súboru (%s)';
+$lang['piclens_admin_savefile'] = 'Uložiť nastavenie do súboru';
+$lang['piclens_admin_saveOK2'] = 'crossdomain.xml súbor bol v poriadku nakopírovaný do rootu webgalérie';
+$lang['piclens_admin_saveOK'] = 'liris-Piclens konfigurácia uložená';
+$lang['piclens_admin_saveERR4'] = 'Cooliris 3D Wall bol deaktivovaný, pretože doplnok PWG Stuff je nainštalovaný';
+$lang['piclens_admin_saveERR3'] = 'crossdomain.xml súbor už existuje';
+$lang['piclens_admin_saveERR2'] = 'Chyba pri kopírovaní súboru';
+$lang['piclens_admin_saveERR1'] = 'crossdomain.xml súbor nenájdený';
+$lang['piclens_admin_restoreOK'] = 'Parametre v Konfiguračnom súbore (%s) boli uložené do databázy';
+$lang['piclens_admin_restoreKO'] = 'Konfiguračný súbor (%s) chýba';
+$lang['piclens_admin_restore'] = 'Obnoviť nastavenia zo súboru';
+$lang['piclens_3dwallconfig_tab'] = 'Konfigurácia PiclensWall';
+$lang['piclens_3dwallconfig2_tab'] = 'Pokročilé nastavenie 3DWall';
+$lang['img_name_legend'] = 'Názov fotky';
+$lang['img_id_legend'] = 'ID fotky';
+$lang['img_filename_legend'] = 'Názov súboru fotky';
+$lang['img_description_legend'] = 'Popis fotky';
+$lang['img_comment_legend'] = 'Ostatné komentáre';
+$lang['img_author_legend'] = 'Autor fotky';
+$lang['img_URLThumb_legend'] = 'URL náhľadu fotky (URL z galérie)';
+$lang['img_URLThumbFull_legend'] = 'URL náhľadu fotky (úplná cesta URL)';
+$lang['img_URLPicturephp_legend'] = 'Odkaz na stránku fotky (picture.php)';
+$lang['img_URLNormal_legend'] = 'URL fotky (URL z galérie)';
+$lang['img_URLNormalFull_legend'] = 'URL fotky (úplná cesta URL)';
+$lang['img_URLHigh_legend'] = 'URL HD fotky (URL z galérie)';
+$lang['img_URLHighFull_legend'] = 'URL HD fotky (úplná cesta URL)';
+$lang['cat_dir_legend'] = 'Cesta ku kategórii (cesta z galérie)';
+$lang['cat_name_legend'] = 'Názov kategórie';
+$lang['cat_id_legend'] = 'ID kategórie';
+$lang['cat_dirFull_legend'] = 'Cesta ku kategórii (úplná cesta)';
+$lang['cat_description_legend'] = 'Popis kategórie';
+$lang['SelectedCat'] = 'Vybrané kategórie';
+$lang['NonSelectedCat'] = 'Kategórie nie sú vybrané';
+?>