Index: /extensions/GuestBook/include/guestbook.inc.php
===================================================================
--- /extensions/GuestBook/include/guestbook.inc.php	(revision 17716)
+++ /extensions/GuestBook/include/guestbook.inc.php	(revision 17717)
@@ -318,4 +318,23 @@
 $template->assign('ABS_GUESTBOOK_PATH', dirname(__FILE__).'/../');
 $template->assign('GUESTBOOK_PATH', GUESTBOOK_PATH);
+
+$template->assign('clear_themes', array(
+  'clear',
+  'gally-minimalist',
+  'hr_os',
+  'hr_os_xl',
+  'kardon',
+  'montblancxl',
+  'Naive',
+  'OS_glass_clear',
+  'p0w0',
+  'Pure_autumn',
+  'Pure_clear_blue',
+  'Pure_sky',
+  'Pure_tr_clear_blue',
+  'simple-white',
+  'VerticalWhite',
+  ));
+
 $template->set_filename('index', dirname(__FILE__).'/../template/guestbook.tpl');
 
Index: /extensions/GuestBook/main.inc.php
===================================================================
--- /extensions/GuestBook/main.inc.php	(revision 17716)
+++ /extensions/GuestBook/main.inc.php	(revision 17717)
@@ -14,7 +14,8 @@
 
 
-define('GUESTBOOK_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
+define('GUESTBOOK_PATH' ,  PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
 define('GUESTBOOK_TABLE' , $prefixeTable . 'guestbook');
-define('GUESTBOOK_ADMIN', get_root_url().'admin.php?page=plugin-' . basename(dirname(__FILE__)));
+define('GUESTBOOK_ADMIN',  get_root_url().'admin.php?page=plugin-' . basename(dirname(__FILE__)));
+define('GUESTBOOK_URL',    get_absolute_root_url() . make_index_url(array('section' => 'guestbook')));
 
 add_event_handler('init', 'gb_init');
@@ -47,7 +48,5 @@
 function gb_menubar_apply($menu_ref_arr)
 {
-  $menu = &$menu_ref_arr[0];
-  
-  define('GUESTBOOK_URL', make_index_url(array('section' => 'guestbook')));
+  $menu = &$menu_ref_arr[0];  
   
   if ( ($block = $menu->get_block('mbMenu')) != null )
Index: /extensions/GuestBook/template/guestbook.tpl
===================================================================
--- /extensions/GuestBook/template/guestbook.tpl	(revision 17716)
+++ /extensions/GuestBook/template/guestbook.tpl	(revision 17717)
@@ -1,3 +1,7 @@
 {combine_css path=$GUESTBOOK_PATH|@cat:"template/style.css"}
+{$themeconf.name}
+{if $themeconf.name|in_array:$clear_themes}
+  {combine_css path=$GUESTBOOK_PATH|@cat:"template/style-clear.css"}
+{/if}
 
 {if $comment_add.ACTIVATE_RATING}
Index: /extensions/GuestBook/template/style-clear.css
===================================================================
--- /extensions/GuestBook/template/style-clear.css	(revision 17717)
+++ /extensions/GuestBook/template/style-clear.css	(revision 17717)
@@ -0,0 +1,24 @@
+#guestbookAdd {
+  background: #ccc;
+  background: -moz-linear-gradient(top, #ccc 0%, #bbb 100%);
+  background: -webkit-linear-gradient(top, #ccc 0%, #bbb 100%);
+  background: -o-linear-gradient(top, #ccc 0%, #bbb 100%);
+  background: -ms-linear-gradient(top, #ccc 0%, #bbb 100%);
+  background: linear-gradient(top, #ccc 0%, #bbb 100%);
+  border-color:#eee;
+  box-shadow:5px 5px 5px rgba(0, 0, 0, 0.20);
+  color:#444;
+}
+
+#guestbookAdd h4:hover {
+  color:#111;
+}
+
+.commentHeader  {
+  background:#ccc;
+  color:#444;
+}
+
+.commentHeader a {
+  color:#005E89;
+}
Index: /extensions/GuestBook/template/style.css
===================================================================
--- /extensions/GuestBook/template/style.css	(revision 17716)
+++ /extensions/GuestBook/template/style.css	(revision 17717)
@@ -4,9 +4,9 @@
   margin:10px auto 25px auto;
   background: #333333;
-  background: -moz-linear-gradient(top,  #333333 0%, #252525 100%);
-  background: -webkit-linear-gradient(top,  #333333 0%,#252525 100%);
-  background: -o-linear-gradient(top,  #333333 0%,#252525 100%);
-  background: -ms-linear-gradient(top,  #333333 0%,#252525 100%);
-  background: linear-gradient(top,  #333333 0%,#252525 100%);
+  background: -moz-linear-gradient(top, #333333 0%, #252525 100%);
+  background: -webkit-linear-gradient(top, #333333 0%, #252525 100%);
+  background: -o-linear-gradient(top, #333333 0%, #252525 100%);
+  background: -ms-linear-gradient(top, #333333 0%, #252525 100%);
+  background: linear-gradient(top, #333333 0%, #252525 100%);
   border-radius:5px;
   border:1px solid #555;